Opened 5 years ago

Closed 5 years ago

#20085 closed defect (fixed)

Upgrade pynac to 0.6.2

Reported by: cheuberg Owned by:
Priority: major Milestone: sage-7.1
Component: packages: standard Keywords: pynac
Cc: behackl, rws Merged in:
Authors: Clemens Heuberger, Ralf Stephan Reviewers: Jeroen Demeyer
Report Upstream: N/A Work issues:
Branch: a52fe43 (Commits) Commit: a52fe4398d14a0b0b5136c1fe0535d4adf7dfa21
Dependencies: Stopgaps:

Description (last modified by rws)

Next pynac does:

  • fix bugs in zeta series and powers of series (#20082, #20088)
  • performance: GiNaC functions for sec/csc/asec/acsc

https://github.com/pynac/pynac/releases/download/pynac-0.6.2/pynac-0.6.2.tar.bz2

Change History (16)

comment:1 Changed 5 years ago by cheuberg

  • Branch set to u/cheuberg/packages/pynac-upgrade

comment:2 Changed 5 years ago by cheuberg

  • Commit set to 472bb314ad8e678b783d454a48c524f68bc66f5f
  • Description modified (diff)

New commits:

472bb31Trac #20085: upgrade pynac to revision 8dd22de

comment:3 follow-up: Changed 5 years ago by rws

You're sure you want to serve the binary to all people installing Sage from source, even if the release maintainer allows it? Note also that I test Pynac fully before a new version, so you need to do a make ptestlong yourself before giving positive review.

comment:4 in reply to: ↑ 3 Changed 5 years ago by cheuberg

Replying to rws:

You're sure you want to serve the binary to all people installing Sage from source, even if the release maintainer allows it?

I do not understand what you mean here.

Note also that I test Pynac fully before a new version, so you need to do a make ptestlong yourself before giving positive review.

The ticket is not even in needs_review state yet; if you intend to release a new pynac release soon, I would just wait for that (and update the branch then).

The main purpose of the ticket is to have a workaround for #20082 now because it bites me in my current work.

comment:5 Changed 5 years ago by rws

I was wrong in thinking that the above link at benjamin.hackl.at is distributed by the release manager. Sorry for the confusion.

comment:6 Changed 5 years ago by rws

  • Description modified (diff)
  • Summary changed from Upgrade pynac to next version to Upgrade pynac to 0.6.2

comment:7 Changed 5 years ago by rws

  • Branch changed from u/cheuberg/packages/pynac-upgrade to u/rws/20085

comment:8 Changed 5 years ago by rws

  • Authors changed from Clemens Heuberger to Clemens Heuberger, Ralf Stephan
  • Commit changed from 472bb314ad8e678b783d454a48c524f68bc66f5f to a52fe4398d14a0b0b5136c1fe0535d4adf7dfa21
  • Milestone changed from sage-7.1 to sage-7.2
  • Status changed from new to needs_review

New commits:

daa8fd620085: version/chksum
d1ea9a620085: sec/csc/asec/acsc builtin --> ginac functions
a52fe4320085: fix doctest

comment:9 Changed 5 years ago by jdemeyer

  • Description modified (diff)

comment:10 Changed 5 years ago by rws

  • Description modified (diff)

comment:11 Changed 5 years ago by cheuberg

Is there a particular reason for choosing milestone "sage-7.2"?

comment:12 Changed 5 years ago by rws

I always change it blindly to the highest. I don't know why there is a 7.2 when usually the highest is the same as the current version.

Is it important? Wouldn't the release manager merge it anyway with positive review, regardless of version? Would he wait?

comment:13 Changed 5 years ago by jdemeyer

  • Milestone changed from sage-7.2 to sage-7.1

comment:14 Changed 5 years ago by jdemeyer

  • Reviewers set to Jeroen Demeyer
  • Status changed from needs_review to positive_review

comment:15 Changed 5 years ago by rws

Thanks for the review.

comment:16 Changed 5 years ago by vbraun

  • Branch changed from u/rws/20085 to a52fe4398d14a0b0b5136c1fe0535d4adf7dfa21
  • Resolution set to fixed
  • Status changed from positive_review to closed
Note: See TracTickets for help on using tickets.